{-------------------------------------------------------

Delphi XE2 Version 16.0.4504.48759; Update 4 HotFix 1
TeeChart Pro v2012.06.120613: lack of upper labels on left axis !!!
TeeChart Pro v2012.05.120327: lack of upper labels

------------------------------------------------------}


unit uMainForm;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Classes,
  Vcl.Forms, Vcl.Controls, Vcl.Menus, Vcl.ExtCtrls,
  VCLTee.Chart, VCLTee.Series, VCLTee.TeeEdit, VCLTee.TeEngine,
  VCLTee.TeeTools, VCLTee.TeeProcs;

type
  TMainForm = class(TForm)
    MainChart: TChart;
    ChartEditor1: TChartEditor;
    Series1: TLineSeries;
    ChartTool1: TDragMarksTool;
    PopupMenu1: TPopupMenu;
    Marks1: TMenuItem;
    N1: TMenuItem;
    Center1: TMenuItem;
    Left1: TMenuItem;
    Right1: TMenuItem;
    procedure FormCreate(Sender: TObject);
    procedure MainChartDblClick(Sender: TObject);
    procedure Marks1Click(Sender: TObject);
    procedure SeriesGetMarkText(Sender: TChartSeries; ValueIndex: Integer;
                                var MarkText: string);
    procedure PopupMenu1Popup(Sender: TObject);
    procedure Center1Click(Sender: TObject);
    procedure Left1Click(Sender: TObject);
    procedure Right1Click(Sender: TObject);
  private
  public
  end;


var
  MainForm: TMainForm;


implementation

{$R *.dfm}


procedure TMainForm.SeriesGetMarkText(Sender: TChartSeries; ValueIndex: Integer;
  var MarkText: string);
begin
  with Sender do
    MarkText:= FormatFloat('m/z = 0.00', XValue[ValueIndex]);
end;

procedure TMainForm.MainChartDblClick(Sender: TObject);
begin
  ChartEditor1.Execute;
end;

procedure TMainForm.Marks1Click(Sender: TObject);
begin
  with Series1.Marks do begin
    Visible:= not Visible;
    if Visible
      then Marks1.Caption:= 'Hide Marks'
      else Marks1.Caption:= 'Show Marks';
  end;
end;

procedure TMainForm.PopupMenu1Popup(Sender: TObject);
begin
  Center1.Enabled:= Series1.Marks.Visible;
  Left1.Enabled:= Series1.Marks.Visible;
  Right1.Enabled:= Series1.Marks.Visible;
end;

procedure TMainForm.Right1Click(Sender: TObject);
begin
  Series1.Marks.TextAlign:= taRightJustify;
end;

procedure TMainForm.Left1Click(Sender: TObject);
begin
  Series1.Marks.TextAlign:= taLeftJustify;
end;

procedure TMainForm.Center1Click(Sender: TObject);
begin
  Series1.Marks.TextAlign:= taCenter;
end;

procedure TMainForm.FormCreate(Sender: TObject);
var
  i: Integer;
begin
  Randomize;
  for i:= 1 to 50 do Series1.AddXY(Random(90)+5, Random(100));
  Series1.OnGetMarkText:= SeriesGetMarkText;
end;

end.
